Kea: isc::http::BasicHttpAuthClient Class Reference

| Kea 3.2.0-git

isc::http::BasicHttpAuthClient Class Reference

Basic HTTP authentication client configuration. More...

`#include <basic_auth_config.h>`

Inheritance diagram for isc::http::BasicHttpAuthClient:
[legend]

## Public Member Functions
| BasicHttpAuthClient (const std::string &user, const std::string &password, const isc::data::ConstElementPtr &user_context)
| Constructor (legacy).
| BasicHttpAuthClient (const std::string &user, const std::string &user_file, const std::string &password, const std::string &password_file, bool password_file_only, const isc::data::ConstElementPtr &user_context)
| Constructor.
const std::string & | getPassword () const
| Returns the password.
const std::string & | getPasswordFile () const
| Returns the password file.
bool | getPasswordFileOnly () const
| Returns the password file only flag.
const std::string & | getUser () const
| Returns the user id.
const std::string & | getUserFile () const
| Returns the user id file.
virtual isc::data::ElementPtr | toElement () const
| Unparses basic HTTP authentication client configuration.
Public Member Functions inherited from isc::data::UserContext
void | contextToElement (data::ElementPtr map) const
| Merge unparse a user_context object.
data::ConstElementPtr | getContext () const
| Returns const pointer to the user context.
void | setContext (const data::ConstElementPtr &ctx)
| Sets user context.
Public Member Functions inherited from isc::data::CfgToElement
virtual | ~CfgToElement ()
| Destructor.

## Additional Inherited Members
Static Public Member Functions inherited from isc::data::UserContext
static data::ElementPtr | toElement (data::ConstElementPtr map)
| Copy an Element map.
Protected Attributes inherited from isc::data::UserContext
data::ConstElementPtr | user_context_
| Pointer to the user context (may be NULL).

## Detailed Description

Basic HTTP authentication client configuration.

Definition at line 26 of file basic_auth_config.h.

## Constructor & Destructor Documentation

## ◆ BasicHttpAuthClient() [1/2]

isc::http::BasicHttpAuthClient::BasicHttpAuthClient | ( | const std::string & | user,
|  | const std::string & | password,
|  | const isc::data::ConstElementPtr & | user_context )

Constructor (legacy).

Parameters

  user | User id.
  password | Password.
  user_context | Optional user context.

Definition at line 24 of file basic_auth_config.cc.

References isc::data::UserContext::setContext().

Here is the call graph for this function:

## ◆ BasicHttpAuthClient() [2/2]

isc::http::BasicHttpAuthClient::BasicHttpAuthClient | ( | const std::string & | user,
|  | const std::string & | user_file,
|  | const std::string & | password,
|  | const std::string & | password_file,
|  | bool | password_file_only,
|  | const isc::data::ConstElementPtr & | user_context )

Constructor.

Parameters

  user | User id.
  user_file | File with the user id.
  password | Password.
  password_file | File with the password.
  password_file_only | Flag true if the password file includes the user id too.
  user_context | Optional user context.

Definition at line 34 of file basic_auth_config.cc.

References isc::data::UserContext::setContext().

Here is the call graph for this function:

## Member Function Documentation

## ◆ getPassword()

const std::string & isc::http::BasicHttpAuthClient::getPassword | ( |  | ) | const
| inline

Returns the password.

Returns
  The password.

Definition at line 72 of file basic_auth_config.h.

## ◆ getPasswordFile()

const std::string & isc::http::BasicHttpAuthClient::getPasswordFile | ( |  | ) | const
| inline

Returns the password file.

Returns
  The password file.

Definition at line 79 of file basic_auth_config.h.

## ◆ getPasswordFileOnly()

bool isc::http::BasicHttpAuthClient::getPasswordFileOnly | ( |  | ) | const
| inline

Returns the password file only flag.

Returns
  The password file only flag.

Definition at line 86 of file basic_auth_config.h.

## ◆ getUser()

const std::string & isc::http::BasicHttpAuthClient::getUser | ( |  | ) | const
| inline

Returns the user id.

Returns
  The user id.

Definition at line 58 of file basic_auth_config.h.

## ◆ getUserFile()

const std::string & isc::http::BasicHttpAuthClient::getUserFile | ( |  | ) | const
| inline

Returns the user id file.

Returns
  The user id file.

Definition at line 65 of file basic_auth_config.h.

## ◆ toElement()

ElementPtr isc::http::BasicHttpAuthClient::toElement | ( |  | ) | const
| virtual

Unparses basic HTTP authentication client configuration.

Returns
  A pointer to unparsed client configuration.

Implements isc::data::CfgToElement.

Definition at line 48 of file basic_auth_config.cc.

References isc::data::UserContext::contextToElement(), Element::create(), and Element::createMap().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- basic_auth_config.h
- basic_auth_config.cc